{
  "name": "techcombankopenapi",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "eslint",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage"
  },
  "dependencies": {
    "@base-ui/react": "^1.4.0",
    "@hookform/devtools": "^4.4.0",
    "@hookform/resolvers": "^5.2.2",
    "@tanstack/react-query": "^5.99.0",
    "@tanstack/react-table": "^8.21.3",
    "@types/js-yaml": "^4.0.9",
    "@types/swagger-ui-react": "^5.18.0",
    "axios": "^1.15.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "dayjs": "^1.11.20",
    "input-otp": "^1.4.2",
    "js-yaml": "^4.1.1",
    "lucide-react": "^1.8.0",
    "next": "16.2.3",
    "next-intl": "^4.9.1",
    "next-themes": "^0.4.6",
    "radix-ui": "^1.4.3",
    "react": "19.2.5",
    "react-dom": "19.2.5",
    "react-drag-drop-files": "^3.1.0",
    "react-google-recaptcha-v3": "^1.11.0",
    "react-hook-form": "^7.72.1",
    "react-pdf": "^10.4.1",
    "react-resizable-panels": "^4.10.0",
    "shadcn": "^4.2.0",
    "sonner": "^2.0.7",
    "swagger-ui-react": "^5.32.2",
    "tailwind-merge": "^3.5.0",
    "tw-animate-css": "^1.4.0",
    "vaul": "^1.1.2",
    "yaml-loader": "^0.9.0",
    "zod": "^4.3.6"
  },
  "devDependencies": {
    "@svgr/webpack": "^8.1.0",
    "@tailwindcss/postcss": "^4",
    "@testing-library/dom": "^10.4.1",
    "@testing-library/jest-dom": "^6.9.1",
    "@testing-library/react": "^16.3.2",
    "@testing-library/user-event": "^14.6.1",
    "@types/node": "^25",
    "@types/react": "19.2.14",
    "@types/react-dom": "19.2.3",
    "enhanced-resolve": "^5.20.1",
    "eslint": "^10",
    "eslint-config-next": "16.2.3",
    "jest": "^30.3.0",
    "jest-environment-jsdom": "^30.3.0",
    "tailwindcss": "^4",
    "typescript": "6.0.2"
  },
  "overrides": {
    "@types/react": "19.2.14",
    "@types/react-dom": "19.2.3"
  }
}